Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.math.ec.endo
Class ScalarSplitParameters

    java.lang.Object
      org.bouncycastle.math.ec.endo.ScalarSplitParameters

public class ScalarSplitParameters
extends java.lang.Object

Field Summary
`protected int` | `bits`
`protected java.math.BigInteger` | `g1`
`protected java.math.BigInteger` | `g2`
`protected java.math.BigInteger` | `v1A`
`protected java.math.BigInteger` | `v1B`
`protected java.math.BigInteger` | `v2A`
`protected java.math.BigInteger` | `v2B`

Constructor Summary
`ScalarSplitParameters(java.math.BigInteger[] v1, java.math.BigInteger[] v2, java.math.BigInteger g1, java.math.BigInteger g2, int bits)`

Method Summary
`int` | `getBits()`
`java.math.BigInteger` | `getG1()`
`java.math.BigInteger` | `getG2()`
`java.math.BigInteger` | `getV1A()`
`java.math.BigInteger` | `getV1B()`
`java.math.BigInteger` | `getV2A()`
`java.math.BigInteger` | `getV2B()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### v1A

    protected final java.math.BigInteger v1A

### v1B

    protected final java.math.BigInteger v1B

### v2A

    protected final java.math.BigInteger v2A

### v2B

    protected final java.math.BigInteger v2B

### g1

    protected final java.math.BigInteger g1

### g2

    protected final java.math.BigInteger g2

### bits

    protected final int bits

Constructor Detail

### ScalarSplitParameters

    public ScalarSplitParameters(java.math.BigInteger[] v1,
                                 java.math.BigInteger[] v2,
                                 java.math.BigInteger g1,
                                 java.math.BigInteger g2,
                                 int bits)

Method Detail

### getV1A

    public java.math.BigInteger getV1A()

### getV1B

    public java.math.BigInteger getV1B()

### getV2A

    public java.math.BigInteger getV2A()

### getV2B

    public java.math.BigInteger getV2B()

### getG1

    public java.math.BigInteger getG1()

### getG2

    public java.math.BigInteger getG2()

### getBits

    public int getBits()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD